<?php



$tdatatipos_exames = array();
$tdatatipos_exames[".searchableFields"] = array();
$tdatatipos_exames[".ShortName"] = "tipos_exames";
$tdatatipos_exames[".OwnerID"] = "";
$tdatatipos_exames[".OriginalTable"] = "tipos_exames";


$tdatatipos_exames[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatipos_exames[".originalPagesByType"] = $tdatatipos_exames[".pagesByType"];
$tdatatipos_exames[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatipos_exames[".originalPages"] = $tdatatipos_exames[".pages"];
$tdatatipos_exames[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatipos_exames[".originalDefaultPages"] = $tdatatipos_exames[".defaultPages"];

//	field labels
$fieldLabelstipos_exames = array();
$fieldToolTipstipos_exames = array();
$pageTitlestipos_exames = array();
$placeHolderstipos_exames = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstipos_exames["English"] = array();
	$fieldToolTipstipos_exames["English"] = array();
	$placeHolderstipos_exames["English"] = array();
	$pageTitlestipos_exames["English"] = array();
	$fieldLabelstipos_exames["English"]["exameID"] = "Exame ID";
	$fieldToolTipstipos_exames["English"]["exameID"] = "";
	$placeHolderstipos_exames["English"]["exameID"] = "";
	$fieldLabelstipos_exames["English"]["tipo_exame"] = "Tipo Exame";
	$fieldToolTipstipos_exames["English"]["tipo_exame"] = "";
	$placeHolderstipos_exames["English"]["tipo_exame"] = "";
	$fieldLabelstipos_exames["English"]["preparacao"] = "Preparação:";
	$fieldToolTipstipos_exames["English"]["preparacao"] = "";
	$placeHolderstipos_exames["English"]["preparacao"] = "";
	$fieldLabelstipos_exames["English"]["avalia"] = "Serve para:";
	$fieldToolTipstipos_exames["English"]["avalia"] = "";
	$placeHolderstipos_exames["English"]["avalia"] = "";
	$fieldLabelstipos_exames["English"]["Rotina"] = "De Rotina:";
	$fieldToolTipstipos_exames["English"]["Rotina"] = "";
	$placeHolderstipos_exames["English"]["Rotina"] = "";
	$pageTitlestipos_exames["English"]["add"] = "Tipo Exame, Add new";
	if (count($fieldToolTipstipos_exames["English"]))
		$tdatatipos_exames[".isUseToolTips"] = true;
}


	$tdatatipos_exames[".NCSearch"] = true;



$tdatatipos_exames[".shortTableName"] = "tipos_exames";
$tdatatipos_exames[".nSecOptions"] = 0;

$tdatatipos_exames[".mainTableOwnerID"] = "";
$tdatatipos_exames[".entityType"] = 0;

$tdatatipos_exames[".strOriginalTableName"] = "tipos_exames";

	



$tdatatipos_exames[".showAddInPopup"] = false;

$tdatatipos_exames[".showEditInPopup"] = false;

$tdatatipos_exames[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatipos_exames[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatipos_exames[".listAjax"] = false;
//	temporary
$tdatatipos_exames[".listAjax"] = false;

	$tdatatipos_exames[".audit"] = false;

	$tdatatipos_exames[".locking"] = false;


$pages = $tdatatipos_exames[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatipos_exames[".edit"] = true;
	$tdatatipos_exames[".afterEditAction"] = 0;
	$tdatatipos_exames[".closePopupAfterEdit"] = 1;
	$tdatatipos_exames[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatipos_exames[".add"] = true;
$tdatatipos_exames[".afterAddAction"] = 0;
$tdatatipos_exames[".closePopupAfterAdd"] = 1;
$tdatatipos_exames[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatipos_exames[".list"] = true;
}



$tdatatipos_exames[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatipos_exames[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatipos_exames[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatipos_exames[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatipos_exames[".printFriendly"] = true;
}



$tdatatipos_exames[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatipos_exames[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatipos_exames[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatipos_exames[".isUseAjaxSuggest"] = true;

$tdatatipos_exames[".rowHighlite"] = true;





$tdatatipos_exames[".ajaxCodeSnippetAdded"] = false;

$tdatatipos_exames[".buttonsAdded"] = false;

$tdatatipos_exames[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatipos_exames[".isUseTimeForSearch"] = false;


$tdatatipos_exames[".badgeColor"] = "1E90FF";


$tdatatipos_exames[".allSearchFields"] = array();
$tdatatipos_exames[".filterFields"] = array();
$tdatatipos_exames[".requiredSearchFields"] = array();

$tdatatipos_exames[".googleLikeFields"] = array();
$tdatatipos_exames[".googleLikeFields"][] = "exameID";
$tdatatipos_exames[".googleLikeFields"][] = "tipo_exame";
$tdatatipos_exames[".googleLikeFields"][] = "avalia";
$tdatatipos_exames[".googleLikeFields"][] = "preparacao";
$tdatatipos_exames[".googleLikeFields"][] = "Rotina";



$tdatatipos_exames[".tableType"] = "list";

$tdatatipos_exames[".printerPageOrientation"] = 0;
$tdatatipos_exames[".nPrinterPageScale"] = 100;

$tdatatipos_exames[".nPrinterSplitRecords"] = 40;

$tdatatipos_exames[".geocodingEnabled"] = false;










$tdatatipos_exames[".pageSize"] = 20;

$tdatatipos_exames[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatipos_exames[".strOrderBy"] = $tstrOrderBy;

$tdatatipos_exames[".orderindexes"] = array();

$tdatatipos_exames[".sqlHead"] = "SELECT exameID,  tipo_exame,  avalia,  preparacao,  Rotina";
$tdatatipos_exames[".sqlFrom"] = "FROM tipos_exames";
$tdatatipos_exames[".sqlWhereExpr"] = "";
$tdatatipos_exames[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatipos_exames[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatipos_exames[".arrGroupsPerPage"] = $arrGPP;

$tdatatipos_exames[".highlightSearchResults"] = true;

$tableKeystipos_exames = array();
$tableKeystipos_exames[] = "exameID";
$tdatatipos_exames[".Keys"] = $tableKeystipos_exames;


$tdatatipos_exames[".hideMobileList"] = array();




//	exameID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "exameID";
	$fdata["GoodName"] = "exameID";
	$fdata["ownerTable"] = "tipos_exames";
	$fdata["Label"] = GetFieldLabel("tipos_exames","exameID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "exameID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "exameID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatipos_exames["exameID"] = $fdata;
		$tdatatipos_exames[".searchableFields"][] = "exameID";
//	tipo_exame
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "tipo_exame";
	$fdata["GoodName"] = "tipo_exame";
	$fdata["ownerTable"] = "tipos_exames";
	$fdata["Label"] = GetFieldLabel("tipos_exames","tipo_exame");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "tipo_exame";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_exame";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatipos_exames["tipo_exame"] = $fdata;
		$tdatatipos_exames[".searchableFields"][] = "tipo_exame";
//	avalia
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "avalia";
	$fdata["GoodName"] = "avalia";
	$fdata["ownerTable"] = "tipos_exames";
	$fdata["Label"] = GetFieldLabel("tipos_exames","avalia");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "avalia";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "avalia";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatipos_exames["avalia"] = $fdata;
		$tdatatipos_exames[".searchableFields"][] = "avalia";
//	preparacao
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "preparacao";
	$fdata["GoodName"] = "preparacao";
	$fdata["ownerTable"] = "tipos_exames";
	$fdata["Label"] = GetFieldLabel("tipos_exames","preparacao");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "preparacao";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "preparacao";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatipos_exames["preparacao"] = $fdata;
		$tdatatipos_exames[".searchableFields"][] = "preparacao";
//	Rotina
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Rotina";
	$fdata["GoodName"] = "Rotina";
	$fdata["ownerTable"] = "tipos_exames";
	$fdata["Label"] = GetFieldLabel("tipos_exames","Rotina");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "Rotina";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Rotina";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatipos_exames["Rotina"] = $fdata;
		$tdatatipos_exames[".searchableFields"][] = "Rotina";


$tables_data["tipos_exames"]=&$tdatatipos_exames;
$field_labels["tipos_exames"] = &$fieldLabelstipos_exames;
$fieldToolTips["tipos_exames"] = &$fieldToolTipstipos_exames;
$placeHolders["tipos_exames"] = &$placeHolderstipos_exames;
$page_titles["tipos_exames"] = &$pageTitlestipos_exames;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tipos_exames"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tipos_exames"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tipos_exames()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "exameID,  tipo_exame,  avalia,  preparacao,  Rotina";
$proto0["m_strFrom"] = "FROM tipos_exames";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "exameID",
	"m_strTable" => "tipos_exames",
	"m_srcTableName" => "tipos_exames"
));

$proto6["m_sql"] = "exameID";
$proto6["m_srcTableName"] = "tipos_exames";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_exame",
	"m_strTable" => "tipos_exames",
	"m_srcTableName" => "tipos_exames"
));

$proto8["m_sql"] = "tipo_exame";
$proto8["m_srcTableName"] = "tipos_exames";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "avalia",
	"m_strTable" => "tipos_exames",
	"m_srcTableName" => "tipos_exames"
));

$proto10["m_sql"] = "avalia";
$proto10["m_srcTableName"] = "tipos_exames";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "preparacao",
	"m_strTable" => "tipos_exames",
	"m_srcTableName" => "tipos_exames"
));

$proto12["m_sql"] = "preparacao";
$proto12["m_srcTableName"] = "tipos_exames";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Rotina",
	"m_strTable" => "tipos_exames",
	"m_srcTableName" => "tipos_exames"
));

$proto14["m_sql"] = "Rotina";
$proto14["m_srcTableName"] = "tipos_exames";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tipos_exames";
$proto17["m_srcTableName"] = "tipos_exames";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "exameID";
$proto17["m_columns"][] = "tipo_exame";
$proto17["m_columns"][] = "preparacao";
$proto17["m_columns"][] = "avalia";
$proto17["m_columns"][] = "Rotina";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tipos_exames";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tipos_exames";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tipos_exames";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tipos_exames = createSqlQuery_tipos_exames();


	
		;

					

$tdatatipos_exames[".sqlquery"] = $queryData_tipos_exames;

$tableEvents["tipos_exames"] = new eventsBase;
$tdatatipos_exames[".hasEvents"] = false;

?>